Subject: Re: [PATCH] Add test cases for git-am

From: Andreas Ericsson <[email-masked]>
Date: Mon, 02 Jun 2008 19:53:38 +0200

Stephan Beyer wrote:
> Hi,
> 
>> "git grep 'tail.*+' -- '*.sh'" says that this will the first and only
>> instance of "tail -n +<number>".  The syntax may be POSIX but not all
>> /usr/bin/tail unfortunately knows about it.
>>
>> I tend to prefer "sed -n -e '3,$p'" for things like this for portability.
> 
> I'm fine with that, but I sometimes wonder if systems that do not like
> "tail -n +3" really tend to like a "sed -n -e '3,$p'" :)
> 

I have yet to come across a sed which doesn't support -n, the range
specifier and the p command, so yes, "sed -n -e '3,$p'" is very
portable indeed.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231